Summary: An alternate posix capabilities library
Name: libcap-ng
Version: 0.8.5
Release: r0
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://github.com/stevegrubb/libcap-ng
Source0: libcap-ng-0.8.5-r0.tar.xz
Source1: 0001-Fix-python-path-when-invoking-py-compile-54.patch
Source2: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.2)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.8)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libcap-ng.so.0()(64bit)
Provides: libdrop_ambient.so.0()(64bit)

%description
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%package -n libcap-ng-src
Summary: An alternate posix capabilities library - Source files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel

%description -n libcap-ng-src
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains sources for debugging purposes.

%package -n libcap-ng-dbg
Summary: An alternate posix capabilities library - Debugging files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Recommends: glibc-dbg

%description -n libcap-ng-dbg
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n libcap-ng-staticdev
Summary: An alternate posix capabilities library - Development files (Static Libraries)
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: libcap-ng-dev = 0.8.5-r0

%description -n libcap-ng-staticdev
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains static libraries for software development.

%package -n libcap-ng-dev
Summary: An alternate posix capabilities library - Development files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: libcap-ng
Recommends: glibc-dev
Recommends: libcap-ng = 0.8.5-r0

%description -n libcap-ng-dev
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n libcap-ng-doc
Summary: An alternate posix capabilities library - Documentation files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: doc

%description -n libcap-ng-doc
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains documentation.

%package -n libcap-ng-locale
Summary: An alternate posix capabilities library
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: base

%description -n libcap-ng-locale
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%package -n libcap-ng-bin
Summary: An alternate posix capabilities library
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap-ng >= 0.8.5
Requires: libcap-ng.so.0()(64bit)
Requires: rtld(GNU_HASH)

%description -n libcap-ng-bin
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%post
# libcap-ng - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/usr"
%attr(777,root,root) "/lib/libcap-ng.so.0"
%attr(755,root,root) "/lib/libcap-ng.so.0.0.0"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libdrop_ambient.so.0"
%attr(755,root,root) "/usr/lib/libdrop_ambient.so.0.0.0"

%files -n libcap-ng-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libcap-ng"
%attr(755,root,root) %dir "/usr/src/debug/libcap-ng/0.8.5"
%attr(755,root,root) %dir "/usr/src/debug/libcap-ng/0.8.5/utils"
%attr(755,root,root) %dir "/usr/src/debug/libcap-ng/0.8.5/src"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/utils/filecap.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/utils/netcap.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/utils/captest.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/utils/proc-llist.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/utils/pscap.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/utils/proc-llist.h"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/src/libdrop_ambient.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/src/cap-ng.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/src/cap-ng.h"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/src/lookup_table.c"
%attr(644,root,root) "/usr/src/debug/libcap-ng/0.8.5/src/captab.h"

%files -n libcap-ng-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/lib/.debug"
%attr(755,root,root) "/lib/.debug/libcap-ng.so.0.0.0"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libdrop_ambient.so.0.0.0"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/filecap"
%attr(755,root,root) "/usr/bin/.debug/pscap"
%attr(755,root,root) "/usr/bin/.debug/captest"
%attr(755,root,root) "/usr/bin/.debug/netcap"

%files -n libcap-ng-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/share"
%attr(644,root,root) "/usr/include/cap-ng.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libcap-ng.so"
%attr(777,root,root) "/usr/lib/libdrop_ambient.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libcap-ng.pc"
%attr(755,root,root) %dir "/usr/share/aclocal"
%attr(644,root,root) "/usr/share/aclocal/cap-ng.m4"

%files -n libcap-ng-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man7"
%attr(755,root,root) %dir "/usr/share/man/man8"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(644,root,root) "/usr/share/man/man7/libdrop_ambient.7"
%attr(644,root,root) "/usr/share/man/man8/filecap.8"
%attr(644,root,root) "/usr/share/man/man8/captest.8"
%attr(644,root,root) "/usr/share/man/man8/netcap.8"
%attr(644,root,root) "/usr/share/man/man8/pscap.8"
%attr(644,root,root) "/usr/share/man/man3/capng_clear.3"
%attr(644,root,root) "/usr/share/man/man3/capng_setpid.3"
%attr(644,root,root) "/usr/share/man/man3/capng_save_state.3"
%attr(644,root,root) "/usr/share/man/man3/capng_updatev.3"
%attr(644,root,root) "/usr/share/man/man3/capng_change_id.3"
%attr(644,root,root) "/usr/share/man/man3/capng_have_capabilities.3"
%attr(644,root,root) "/usr/share/man/man3/capng_update.3"
%attr(644,root,root) "/usr/share/man/man3/capng_get_rootid.3"
%attr(644,root,root) "/usr/share/man/man3/capng_get_caps_process.3"
%attr(644,root,root) "/usr/share/man/man3/capng_have_capability.3"
%attr(644,root,root) "/usr/share/man/man3/capng_fill.3"
%attr(644,root,root) "/usr/share/man/man3/capng_restore_state.3"
%attr(644,root,root) "/usr/share/man/man3/capng_lock.3"
%attr(644,root,root) "/usr/share/man/man3/capng_set_rootid.3"
%attr(644,root,root) "/usr/share/man/man3/capng_capability_to_name.3"
%attr(644,root,root) "/usr/share/man/man3/capng_name_to_capability.3"
%attr(644,root,root) "/usr/share/man/man3/capng_print_caps_numeric.3"
%attr(644,root,root) "/usr/share/man/man3/capng_get_caps_fd.3"
%attr(644,root,root) "/usr/share/man/man3/capng_print_caps_text.3"
%attr(644,root,root) "/usr/share/man/man3/capng_apply.3"
%attr(644,root,root) "/usr/share/man/man3/capng_apply_caps_fd.3"

%files -n libcap-ng-bin
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/filecap"
%attr(755,root,root) "/usr/bin/pscap"
%attr(755,root,root) "/usr/bin/captest"
%attr(755,root,root) "/usr/bin/netcap"

%%prep
echo "include logs and patches, Please check them in SOURCES"

